<?php

namespace App\Console\Commands;

use App\Models\Student;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;

class ImportUsers extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'import:users';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $i = 0;
        foreach (Student::all() as $student) {
            $moodle_uid = self::laravelDB()
                ->table('laravel_moodle_users')
                ->where('laravel_id', $student->id);
            if($moodle_uid->exists()) {
                $moodle_uid = $moodle_uid->first();
                if (!self::moodleDB()->table('user')->where('id', $moodle_uid->moodle_id)->exists()) {
                    if(self::moodleDB()->table('user')->where('email', $student->email)->exists())
                        continue;
                    $moodle_user_id = self::moodleDB()->table('user')->insertGetId([
                        'confirmed' => 1,
                        'username' => $student->email,
                        'password' => $student->password,
                        'firstname' => $student->first_name,
                        'lastname' => $student->last_name,
                        'mnethostid' => 1,
                        'email' => $student->email,
                        'description' => null,
                    ]);
                    self::laravelDB()->table('laravel_moodle_users')->where('laravel_id', $student->id)->update([
                        'moodle_id' => $moodle_user_id
                    ]);
                }
            } else {
                if(self::moodleDB()->table('user')->where('email', $student->email)->exists())
                    continue;
                $moodle_user_id = self::moodleDB()->table('user')->insertGetId([
                    'confirmed' => 1,
                    'username' => $student->email,
                    'password' => $student->password,
                    'firstname' => $student->first_name,
                    'lastname' => $student->last_name,
                    'mnethostid' => 1,
                    'email' => $student->email,
                    'description' => null,
                ]);
                self::laravelDB()->table('laravel_moodle_users')->insert([
                    'laravel_id' => $student->id,
                    'moodle_id' => $moodle_user_id
                ]);
            }
            $i++;
        }
        echo $i;
        return true;
    }


    private static function moodleDB()
    {
        return DB::connection('moodle');
    }

    private static function laravelDB()
    {
        return DB::connection('mysql');
    }
}
