<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Faculty;

class Forms extends Controller
{
    public  function setLang(Request $request){
        if( !empty($request->get('language')) ) {
            $request->session()->put('language', $request->get('language'));
        }
        return back();
    }


    public  function setFaculty(Request $request){
        if( !empty($request->get('faculty')) && $request->get('faculty') != 'clear' ) {
            $faculty = Faculty::find($request->get('faculty'));
            $request->session()->put('faculty', $faculty->id);
        }
        if( $request->get('faculty') == 'clear' )
            $request->session()->forget('faculty');

        return back();
    }
}
