<?php

namespace App\Models;

use Backpack\CRUD\CrudTrait;
use App\Traits\HasTranslations;
use Backpack\PermissionManager\app\Models\Role as OriginalRole;

class ExtendedRole extends OriginalRole
{
    use HasTranslations;
    use CrudTrait;

    protected $translatable = ['readable_name'];

    protected $fillable = ['readable_name', 'updated_at', 'created_at'];
}
