<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Arr;

class Extraction extends Model
{

    protected $fillable = [
        'order_type',
        'description',
        'order_id',
        'expire_date',
        'accept_date'
    ];

    public function student()
    {
        return $this->belongsTo('App\Models\Student');
    }
    public function getType()
    {
        return Arr::pluck(json_decode(config('settings.studyOrder'), true), 'name', 'slug')[$this->order_type] ?? $this->order_type;
    }
}
