<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Supervision extends Model
{
    protected $fillable = [
      'statement_id',
      'student_id',
      'registration_number',
      'practical_skills',
      'duty',
      'presentation',
      'situational_task',
      'review_of_clinics_result',
      'other',
    ];

    public function statement()
    {
        return $this->belongsTo(Statement::class);
    }

    public function student()
    {
        return $this->belongsTo(Student::class);
    }
}
